Subject: [bug#48952] [PATCH 0/3] build-system: Add godot-build-system.

From: Vinicius Monego <[email-masked]>
Date: Fri, 11 Jun 2021 00:53:43 +0000

This patchset adds a build system for Godot games. There is some TODO for the future:

_ I had to add a #:game keyword because it is difficult to parse the name of games in the source files. I'd like to remove it when possible.
_ I expect that most projects will begin to ship export_presets.cfg and desktop files in the future. Librerama is the only project that I found shipping both and the desktop file is in export/freedesktop. I don't know if that location is autogenerated or not. In any case, I left the desktop files out of the build system for now.
_ Support unit tests for games. I don't know how it works in Godot, and very few games have them at the moment.

I also tested the build system with Tux Builder (reimplementation of SuperTux in Godot) and Circle Jump and both are working.

Side note: Godot 3.3.2-stable is fully compatible with 3.2.* (it was supposed to be 3.2.4 but the versioning change) and a recomended upgrade in case anyone wants to upgrade it.

Vinicius Monego (3):
  build-system: Add godot-build-system.
  gnu: superstarfighter: Use godot-build-system.
  gnu: Add librerama.

 Makefile.am                       |   3 +
 doc/guix.texi                     |  19 ++++
 gnu/packages/games.scm            | 100 ++++++++++-----------
 guix/build-system/godot.scm       | 142 ++++++++++++++++++++++++++++++
 guix/build/godot-build-system.scm | 113 ++++++++++++++++++++++++
 5 files changed, 330 insertions(+), 49 deletions(-)
 create mode 100644 guix/build-system/godot.scm
 create mode 100644 guix/build/godot-build-system.scm

-- 
2.32.0